Subject: bug#22478: 25.1.50; tramp error: Wrong method specification for ‘scp’

From: Michael Albinus <[email-masked]>
Date: Fri, 29 Jan 2016 10:53:12 +0100

Sam Steingold <[email-masked]> writes:

Hi Sam,

> I get this error:
>
> Debugger entered--Lisp error: (file-error #("Wrong method specification for ‘scp’" 32 35 (tramp-default t)))
>   signal(file-error (#("Wrong method specification for ‘scp’" 32 35 (tramp-default t))))
>   tramp-sh-handle-file-local-copy(#("/scp:podval:/home/sds/.newsrc" 1 4 (tramp-default t)))

[...]
>
> I am confused because this worked before, and I can "ssh podval" from
> the shell (podval is mentioned in ssh/config).

Is it always repeatable? Or does it work, when you perform the same
operation a second time (like opening a file)?

Could you set tramp-verbose to 10, and send me the Tramp traces once the
problem happened again?

Thanks, and best regards, Michael.